Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg	(revision 5453)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg	(revision 5453)
@@ -0,0 +1,20 @@
+# Ada super-computer configuration
+
+# Available softwares:
+CDO=cdo
+COMPILER=ifort
+MPI=intel
+NETCDF=netcdf
+
+# Job commands: LoadLeveler
+JOB_SUBM=llsubmit
+JOB_LIST=llq
+JOB_VIEW='llq -xl'
+JOB_DELE=llcancel                          
+
+# Compiling & computing settings
+[ -z "$NPROC"       ] && NPROC=32
+[ -z "${TIME_LIMI}" ] && TIME_LIMI=10800 # 3h
+
+# Architecture environment (be careful with compliance with XIOS)
+ARCH_ENV=${DIR_XIOS}/arch/arch-${CFG_ARCH}.env
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg	(revision 5453)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg	(revision 5453)
@@ -0,0 +1,20 @@
+# Curie super-computer configuration
+
+# Available softwares:
+CDO=cdo 
+COMPILER=ifort
+MPI=bullxmpi
+NETCDF=netcdf
+
+# Job commands: ccc_*
+JOB_SUBM=ccc_msub
+JOB_LIST=ccc_mpp
+JOB_VIEW=ccc_macct
+JOB_DELE=ccc_mdel                          
+
+# Compiling & computing settings
+[ -z "$NPROC"       ] && NPROC=16
+[ -z "${TIME_LIMI}" ] && TIME_LIMI=10800 # 3h
+
+# Architecture environment (be careful with compliance with XIOS)
+ARCH_ENV=${DIR_XIOS}/arch/arch-${CFG_ARCH}.env
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5453)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5453)
@@ -0,0 +1,22 @@
+# Copy to ./$ARCH.cfg, fill in according to your installation
+
+# Super-computer configuration
+
+# Available softwares:
+CDO=''           			  # CDO (Climate Data Operators) (root directory name in $LOADEDMODULES or $PATH)
+COMPILER=''      			  # ifort/gfortran/pgfortran/... ( ""     " "     ""  ""       ""       ""  " " )
+MPI=''           			  # MPI    libraries             ( ""     " "     ""  ""       ""       ""  " " )
+NETCDF=''        			  # NetCDF    " "                ( ""     " "     ""  ""       ""       ""  " " )
+
+# Job commands:
+JOB_SUBM=''   	 			  # Submit a job && get his ID in return
+JOB_LIST=''    	 			  # List submitted jobs  (to know if the job is in progress with his ID)
+JOB_VIEW=''   	 			  # Get job informations (to increment a log during computing from job ID)
+JOB_DELE=''   	 			  # Stop a job           (not used currently)
+
+# Compiling & computing settings
+[ -z "$NPROC"       ] && NPROC=1          # Number of processing units
+[ -z "${TIME_LIMI}" ] && TIME_LIMI=''     # Timeout in s (pending & running)
+
+# Architecture environment (be careful with compliance with XIOS)
+ARCH_ENV=''                               # ${DIR_WORK}/XIOS/arch/arch-${CFG_ARCH}.env
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5453)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/user_template.cfg	(revision 5453)
@@ -0,0 +1,33 @@
+# Copy to ./user.cfg, fill in according to your installation
+
+# User configuration
+
+# Global Directories:
+DIR_WORK=''   	 			  # Directory for compilation
+DIR_SCRA=''    	 			  #    " "    " " computation to increase perfs on some super-computers
+              	 			  # (will copy into it all requested forcing input & ".*(cfg|opa|ref|xml)" files)
+DIR_STOR=''    	 			  #    " "     for comparison (ASCII output & restart files of reference config)
+
+# NEMO overall configuration:
+[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''     # trunk, dev_v3_4_STABLE_2012, ...
+[ -z "${CONF_REFE}" ] && REFE_CONF=''     # ORCA2_LIM_PISCES, GYRE, ...
+[ -z "${CONF_TEST}" ] && TEST_CONF=''     # ${CONF_REFE}_trust, ...
+NEMO_HOME=''                              # NEMOGCM equivalent root directory to find ./ARCH,./CONFIG, ...
+                                          # (${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM, ...)
+
+# Comparatives directories localization:
+REFE_DIR=''			      	  # ${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
+TEST_DIR=''			      	  # ${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
+
+# External softs directories:
+DIR_XIOS=''			      	  # ${DIR_WORK}/XIOS/xios-1.0
+#DIR_OASI=''			      	  # ${DIR_WORK}/OASIS        
+
+# NEMO inputs (fill in if necessary)
+NEMO_FORC=''                              # Directory with forcing archive to extract from ESGF server
+                                          #        or  ""  all inputs files to copy
+FORC_TARF=''                              # Archive name (ORCA2_LIM_nemo_v3.6.tar, ...)
+                                          # Leave blank if not requested
+
+# Mailing list to inform of a failure, -p|--publish option required
+[ -z "$MAIL"] && MAIL=''
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env	(revision 5452)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.env	(revision 5453)
@@ -8,5 +8,5 @@
 # Sourcing user configuration
 #--------------------------------------
-. ${NEMO_TRUS}/cfg/${CFG_USER}.cfg
+. ${NEMO_TRUS}/config/${CFG_USER}.cfg
 export DIR_WORK  DIR_SCRA  DIR_STOR
 export NEMO_HOME NEMO_BRAN
@@ -25,5 +25,5 @@
 # Sourcing super-computer configuration
 #--------------------------------------
-. ${NEMO_TRUS}/cfg/${CFG_ARCH}.cfg
+. ${NEMO_TRUS}/config/${CFG_ARCH}.cfg
 export CDO      COMPILER  MPI      NETCDF
 export JOB_SUBM JOB_LIST  JOB_VIEW JOB_DELE
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5452)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5453)
@@ -31,8 +31,8 @@
 if [[ ! -z "${CFG_ARCH}" && ! -z "${CFG_USER}" ]]; then
 
-    if   [ ! $( find ${NEMO_TRUS}/cfg -name ${CFG_USER}.cfg ) ]; then
-	echo 'No configuration file in '${NEMO_TRUS}'/cfg for '${CFG_USER}; exit 1
-    elif [ ! $( find ${NEMO_TRUS}/cfg -name ${CFG_ARCH}.cfg ) ]; then
-	echo 'No configuration file in '${NEMO_TRUS}'/cfg for '${CFG_ARCH}; exit 1
+    if   [ ! $( find ${NEMO_TRUS}/config -name ${CFG_USER}.cfg ) ]; then
+	echo 'No configuration file in '${NEMO_TRUS}'/config for '${CFG_USER}; exit 1
+    elif [ ! $( find ${NEMO_TRUS}/config -name ${CFG_ARCH}.cfg ) ]; then
+	echo 'No configuration file in '${NEMO_TRUS}'/config for '${CFG_ARCH}; exit 1
     else
 	. ${NEMO_TRUS}/trusting.env
@@ -52,5 +52,5 @@
 printf "Date\n$datestr1\n" > mesg_01_date_${CFG_USER}_${CFG_ARCH}.txt
 # Only at end status will change to OK
-STATUS='FAILED'
+STATUS='FAILED'; STEP=''
 
 # SVN action on XIOS & NEMO essentials directories
@@ -64,5 +64,5 @@
 . ${ARCH_ENV} > /dev/null
 get_soft_rel
-cat model.log
+cat env.log
 
 # XIOS compiling
@@ -78,5 +78,5 @@
 #[ -d ${TEST_CONF} ] && ./makenemo -n ${TEST_CONF} clean
 ./makenemo -n ${TEST_CONF} -r ${REFE_CONF} -m $ARCH -j $NPROC >& /dev/null
-[ ! -e ${TEST_CONF}/BLD/bin/nemo.exe ] && get_out $STEP $STATUS
+[ ! -e ${TEST_CONF}/BLD/bin/nemo.exe ] && get_out $STATUS $STEP
 
 # Get namelists, xml & forced files for running
@@ -93,5 +93,5 @@
 
 ${cmd_iol} > inputs_list.txt && ${cmd_iof} > /dev/null
-[ $? -ne 0 ] && get_out $STEP $STATUS
+[ $? -ne 0 ] && get_out $STATUS $STEP
 [ $( find . -name '*.gz' -print -quit ) ] && gunzip *.gz
 
@@ -104,6 +104,7 @@
 #---------------------------------------------------
 print_step 'Running'
-export JOB_ID=$( ${JOB_SUBM} | awk '{print $NF}' )
-[ $? -ne 0 ] && get_out $STEP $STATUS
+JOB_ID=$( ${JOB_SUBM} | awk '{print $NF}' )
+export JOB_ID
+[ $? -ne 0 ] && get_out $STATUS $STEP
 
 time_elapsed=0; time_increment=30
@@ -111,5 +112,5 @@
 while [[ $( ${JOB_LIST} | grep ${JOB_ID} ) && ${time_elapsed} -lt ${TIME_LIMI} ]]; do
     printf "\n####################################################" >> computation.log
-    ${JOB_VIEW} ${JOB_ID}                                          >> computation.log
+    ${JOB_VIEW} ${JOB_ID}                                           >> computation.log
     sleep ${time_increment}
     let time_elapsed+=${time_increment}
@@ -122,9 +123,9 @@
 if   [[ ! -e ocean.output || $( grep 'E R R O R' ocean.output ) ]]; then
     ${JOB_DELE} ${JOB_ID} &> /dev/null
-    [ ! -e ocean.output                  ] && STATUS='nemo.exe crashed at initialization'
-    [ $( grep 'E R R O R' ocean.output ) ] && STATUS='nemo.exe crashed'
-    comments('E R R O R')
+    [ ! -e ocean.output                  ] && STEP='nemo.exe crashed at initialization'
+    [ $( grep 'E R R O R' ocean.output ) ] && STEP='nemo.exe crashed'
+    comments 'E R R O R'
     ${JOB_DELE} ${JOB_ID} >/dev/null 2>&1
-    get_out $STEP $STATUS
+    get_out $STATUS $STEP
 else
     STATUS='OK'
@@ -135,5 +136,5 @@
     for file in ocean.output solver.stat tracer.stat; do
 	diff $file ${REFE_DIR}/$file
-	[ $? -ne 0 ] && STATUS='At least 1 ASCII output file differ'
+	[ $? -ne 0 ] && STATUS='FAILED' && STEP='ASCII output file differ'
     done
 
@@ -142,11 +143,5 @@
     print_step 'Test last restart NetCDF files diff'
     diff_restart #2> /dev/null
-    [ $? -ne 0 ] && STATUS='At least 1 restart .nc file differ'
-
-    # Check super-computing architecture modification
-    #---------------------------------------------------
-    print_step 'Test super-computing architecture change'
-    diff_arch
-    [ $? -ne 0 ] && STATUS='At least 1 restart .nc file differ'
+    [ $? -ne 0 ] && STATUS='FAILED'
 
     # Get computation duration
@@ -155,5 +150,5 @@
     get_cpu_time
 
-    comments('W A R N I N G')
+    comments 'W A R N I N G'
 fi
 
@@ -161,3 +156,3 @@
 #---------------------------------------------------
 [ $STATUS == 'OK' ] && STEP='Code is reliable'
-get_out $STEP $STATUS
+get_out $STATUS $STEP
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5452)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5453)
@@ -3,5 +3,10 @@
 
 comments() {
-    [ -e ocean.output ] && grep $1 ocean.output
+    [ -e ocean.output ] && line=$( grep $1 ocean.output )
+
+    # Check environment architecture modification
+    #---------------------------------------------------
+    [ $( diff -q env.log ${REFE_DIR}/env.log ) ] && line=$( diff env.log ${REFE_DIR}/env.log )
+
     printf "Comments\n$line\n" | tee mesg_10_comments_${CFG_USER}_${CFG_ARCH}.txt
 }
@@ -13,12 +18,8 @@
 }
 
-diff_arch() {
-    diff env.log ${REFE_DIR}/env.log
-}
-
 diff_inputs() {
     mesg='Same'
 
-    for file in inputs_list.txt $( ls namelist_* ) iodef.xml; do
+    for file in inputs_list.txt $( ls namelist_* ) $( ls *.xml ); do
 	diff $file ${REFE_DIR}/$file
 	[ $? -ne 0 ] && mesg='Different'
@@ -46,5 +47,5 @@
 	    cmp ${TEST_DIR}/${base_name}_$comp.nc ${REFE_DIR}/${base_name}_$comp.nc
 	    if [ $? -ne 0 ]; then
-		export STATUS='FAILED'
+		export STEP='Restart files different'
 		printf "$CDO diffn\n"
 		$CDO diffn ${TEST_DIR}/${base_name}_$comp.nc ${REFE_DIR}/${base_name}_$comp.nc 2> /dev/null
@@ -69,7 +70,7 @@
     done
 
-    sed -n 4p env.log | sed 'i\Compiler'    > mesg_05_compiler_${CFG_USER}_${CFG_ARCH}.txt
-    sed -n 5p env.log | sed 'i\MPI libs'    > mesg_06_mpi_${CFG_USER}_${CFG_ARCH}.txt
-    sed -n 6p env.log | sed 'i\NetCDF libs' > mesg_07_netcdf_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 3p env.log | sed 'i\Compiler'    > mesg_05_compiler_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 4p env.log | sed 'i\MPI libs'    > mesg_06_mpi_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 5p env.log | sed 'i\NetCDF libs' > mesg_07_netcdf_${CFG_USER}_${CFG_ARCH}.txt
 }
 
@@ -118,5 +119,5 @@
 
   # Send mail only when FAILED
-  if [[ $( grep 'FAILED' mesg_02_status_${CFG_USER}_${CFG_ARCH}.txt ) && ! -z $MAIL ]]; then
+  if [[ ! -z $MAIL && "$STATUS"=='FAILED' ]]; then
       cat << END_MAIL > trusting.mail
 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
@@ -137,9 +138,5 @@
 }
 
-print_step() {
-    STEP=$1
-    export STEP
-    printf "Step.....\n$1\n"
-}
+print_step() { STEP=$1; export STEP && printf "Step.....\n$TEP\n"; }
 
 get_out() {