Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5458)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5459)
@@ -57,5 +57,5 @@
 . ${ARCH_ENV} > /dev/null
 get_soft_rel
-cat env.log
+cat arch_env.log
 
 # XIOS compiling
@@ -63,5 +63,5 @@
 print_step 'Compiling XIOS'
 cd ${DIR_XIOS}
-./make_xios --full --arch $ARCH -job $NPROC #>& /dev/null
+#./make_xios --full --arch $ARCH -job $NPROC #>& /dev/null
 [ ! -e ${DIR_XIOS}/lib/libxios.a ] && get_out $STATUS $STEP
 
@@ -70,5 +70,5 @@
 print_step "Compiling ${CONF_REF} configuration"
 cd ${NEMO_CONF}
-[ -d ${TEST_CONF} ] && ./makenemo -n ${TEST_CONF} clean
+#[ -d ${TEST_CONF} ] && ./makenemo -n ${TEST_CONF} clean
 ./makenemo -n ${TEST_CONF} -r ${REFE_CONF} -m $ARCH -j $NPROC #>& /dev/null
 [ ! -e ${TEST_CONF}/BLD/bin/nemo.exe ] && get_out $STATUS $STEP
@@ -113,5 +113,5 @@
 sleep ${time_increment}
 
-if (( ${time_elapsed} = ${TIME_LIMI} )); then
+if [ ${time_elapsed} -eq ${TIME_LIMI} ]; then
     print_step 'Killing job'
     ${JOB_DELE} ${JOB_ID} &> /dev/null
@@ -126,28 +126,29 @@
     comments 'E R R O R'
     get_out $STATUS $STEP
-else
-    STATUS='OK'
+fi
 
-    # Inspect output text files
-    #---------------------------------------------------
-    print_step 'Test ASCII output files diff'
-    for file in ocean.output solver.stat tracer.stat; do
-	diff $file ${REFE_DIR}/$file
-	[ $? -ne 0 ] && get_out 'FAILED' 'ASCII output file differ'
-    done
+STATUS='OK'
+# Inspect output text files
+#---------------------------------------------------
+print_step 'Test ASCII output files diff'
+for file in ocean.output solver.stat tracer.stat; do
+    diff $file ${REFE_DIR}/$file
+    [ $? -ne 0 ] && get_out 'FAILED' 'ASCII output file diff'
+done
 
-    # Inspect output NetCDF files
-    #---------------------------------------------------
-    print_step 'Test last restart NetCDF files diff'
-    diff_restart
-    [ $? -ne 0 ] && get_out 'FAILED' "$CDO diff failed"
+# Inspect output NetCDF files
+#---------------------------------------------------
+print_step 'Test last restart NetCDF files diff'
+diff_restart
+[ $? -ne 0 ] && get_out 'FAILED' "$CDO diff failed"
 
-    # Get computation duration
-    #---------------------------------------------------
-    print_step 'Get real CPU time'
-    get_cpu_time
+# Get computation duration
+#---------------------------------------------------
+print_step 'Get real CPU time'
+get_cpu_time
 
-    comments 'W A R N I N G'
-fi
+# Get comments (ocean.output & diff arch_env.log)
+#---------------------------------------------------
+comments 'W A R N I N G'
 
 # End
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5458)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5459)
@@ -9,5 +9,5 @@
 	    last_time_step=$( cat ${TEST_DIR}/time.step | tr -d [:space:] )
 	    STEP='nemo.exe crashed at '${last_time_step} && export STEP
-	    line=$( grep -m1 "$state" ocean.output | tr -d '\n' )
+	    line=$( grep -m1 -A5 "$state" ocean.output | tr -d '\n' )
 	else
 	    STEP='nemo.exe crashed at initialization'    && export STEP
@@ -16,6 +16,6 @@
     fi
 
-    if [ $( diff -q env.log ${REFE_DIR}/env.log ) ]; then
-	line=$( diff env.log ${REFE_DIR}/env.log  | tr -d '\n' )
+    if [ $( diff -q arch_env.log ${REFE_DIR}/arch_env.log ) ]; then
+	line=$( diff arch_env.log ${REFE_DIR}/arch_env.log  | tr -d '\n' )
     fi
 
@@ -81,10 +81,10 @@
 	[ -z "${arch_rel}"  ] && arch_rel=$( echo $PATH          | sed  "s#.*$rel/\([^/]*\).*#\1#" )
 	[ $rel == $COMPILER ] && arch_rel=$( $rel --version      | grep -m1 -o ' [0-9.]* '         )
-	echo $rel ${arch_rel} >> env.log
+	echo $rel ${arch_rel} >> arch_env.log
     done
 
-    sed -n 3p env.log | sed 'i\Compiler'    > mesg_05_compiler_${CFG_USER}_${CFG_ARCH}.txt
-    sed -n 4p env.log | sed 'i\MPI libs'    > mesg_06_mpi_${CFG_USER}_${CFG_ARCH}.txt
-    sed -n 5p env.log | sed 'i\NetCDF libs' > mesg_07_netcdf_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 3p arch_env.log | sed 'i\Compiler'    > mesg_05_compiler_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 4p arch_env.log | sed 'i\MPI libs'    > mesg_06_mpi_${CFG_USER}_${CFG_ARCH}.txt
+    sed -n 5p arch_env.log | sed 'i\NetCDF libs' > mesg_07_netcdf_${CFG_USER}_${CFG_ARCH}.txt
 }
 
@@ -107,5 +107,5 @@
 	# For time being, just get revision number from XIOS
 	if [ $dir == ${DIR_XIOS} ]; then
-	    echo 'XIOS '$( svn info $dir | awk '(NR == 5) {print $NF}' ) >> env.log
+	    echo 'XIOS '$( svn info $dir | awk '(NR == 5) {print $NF}' ) >> arch_env.log
 	    continue
 	fi
@@ -162,5 +162,5 @@
 	touch mesg_08_inputfiles_${CFG_USER}_${CFG_ARCH}.txt mesg_09_realcputime_${CFG_USER}_${CFG_ARCH}.txt \
 	      mesg_10_comments_${CFG_USER}_${CFG_ARCH}.txt
-	tar -czf ${REFE_DIR}/trusting_${DATE_STR}_${CFG_USER}_${CFG_ARCH}.tar.gz *
+	#tar -czf ${REFE_DIR}/trusting_${DATE_STR}_${CFG_USER}_${CFG_ARCH}.tar.gz *
     fi
 