Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg	(revision 5482)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_CURIE.cfg	(revision 5483)
@@ -1,3 +1,3 @@
-# Curie super-computer configuration
+# Curie configuration
 
 # Available softwares:
@@ -10,6 +10,6 @@
 JOB_SUBM="ccc_msub ${NEMO_TRUS}/batch/${CFG_ARCH}.sh | awk '{print \$NF}'"
 JOB_LIST=ccc_mpp
-JOB_VIEW=ccc_macct
-JOB_RCPU="${JOB_VIEW} ${JOB_ID} | awk 'END{print \$9}'"
+JOB_INFO=ccc_macct
+JOB_TIME="awk 'END{print \$9}'"
 JOB_DELE=ccc_mdel                          
 
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5482)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/arch_template.cfg	(revision 5483)
@@ -18,7 +18,7 @@
 JOB_LIST=''    	 			  # List all submitted jobs (to determine by `grep` if a job completed or not)
 JOB_INFO=''   	 			  # Get job informations          with job ID as argument (filling a computation log)
-JOB_TIME=''                               # Get real CPU time computation  ""   "  "" ""    ""   
-                                             # ex: "${JOB_VIEW} ${JOB_ID} | awk 'END{print \$9}'"
-JOB_DELE=''   	 			  # Kill submitted job             ""   "  "" ""    ""   
+JOB_TIME=''                               # Get real CPU time computation with `eval "${JOB_INFO} ${JOB_ID} | ${JOB_TIME}"`
+                                             # ex: "awk '/opa/ END{print \$9}'"
+JOB_DELE=''   	 			  # Kill submitted job            with job ID as argument
 
 # Compiling & computing settings
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5482)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5483)
@@ -6,5 +6,5 @@
 NEMO_TRUS=$( pwd $( dirname $0 ) )
 DEBUG=0; PUBLISH=0
-STATUS='FAILED'; STEP='' # Only at end status will change to OK
+STATUS='FAILED'; STEP='' # 'FAILED' by default
 
 # Get options for replacing some initials settings
@@ -100,5 +100,6 @@
 #---------------------------------------------------
 print_step 'Test job state'
-if   [[ ! -e ocean.output || $( grep 'E R R O R' ocean.output ) ]]; then
+if   [[ $( diff time.step ${REFE_DIR}/time.step ) || \
+        ! -e ocean.output || $( grep 'E R R O R' ocean.output ) ]]; then
     comments 'E R R O R'
     get_out $STATUS $STEP
@@ -110,5 +111,5 @@
 fi
 
-STATUS='OK'
+STATUS='OK' # 'OK' by default
 # Inspect output text files
 #---------------------------------------------------
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5482)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5483)
@@ -7,5 +7,5 @@
     if [ "$state" == 'E R R O R' ]; then
 	if [ -e ocean.output ]; then
-	    last_time_step=$( cat ${TEST_DIR}/time.step | tr -d [:space:] )
+	    last_time_step=$( cat time.step | tr -d [:space:] )
 	    STEP='nemo.exe crashed at '${last_time_step} && export STEP
 	    line=$( grep -m1 -A5 "$state" ocean.output | tr -d '\n' )
@@ -38,18 +38,19 @@
     echo 'Last time step of standard run: '${last_time_step}
 
-    if [ $( find ${TEST_DIR} -name "*${last_time_step}_restart*.nc" -print -quit ) ]; then
-	base_name=$( find ${TEST_DIR} -name "*${last_time_step}_restart*.nc" -print -quit         \
-	             | awk -F/ '{print $NF}' | sed "s/^\(.*\)$last_time_step.*/\1$last_time_step/"  )
+    if [ $( find -name "*${last_time_step}_restart*.nc" -print -quit ) ]; then
+	base_name=$( find -name "*${last_time_step}_restart*.nc" -print -quit | awk -F/ '{print $NF}' \
+	             | sed "s/^\(.*\)$last_time_step\_restart.*/\1$last_time_step\_/"                  )
 
 	for comp in restart restart_ice restart_trc; do
-	    file=${base_name}'_'${comp} && printf "$file'.nc': "
-
-	    nb_dom=$( find ${TEST_DIR} -name "${file}_[0-9]*.nc" | wc -l | awk '{print $1}' )
+	    file=${base_name}${comp} && printf "$file'.nc': "
+
+	    nb_dom=$( find -name "${file}_[0-9]*.nc" | wc -l | awk '{print $1}' )
 	    if [ ${nb_dom} -gt 1 ]; then
-		${NEMO_TRBD}/rebuild_nemo -t $NPROC $file ${nb_dom} > /dev/null
+		${NEMO_TRBD}/rebuild_nemo -t $NPROC $file ${nb_dom}  > /dev/null
+		[ $? -eq 0 ] && rm -f ${base_name}_${comp}_[0-9]*.nc > /dev/null
 	    fi
 
 	    # UNIX `cmp` not suitable (filename & timestamp in .nc file)
-	    nc_diff=$( $CDO diffn ${TEST_DIR}/$file'.nc' ${REFE_DIR}/$file'.nc' 2> /dev/null | tail -1 )
+	    nc_diff=$( $CDO diffn $file'.nc' ${REFE_DIR}/$file'.nc' 2> /dev/null | tail -1 )
 	    if [ ! -z "${nc_diff}" ]; then
 		export STATUS='FAILED' STEP='Restart files different'
@@ -59,5 +60,4 @@
 	    fi
 
-	    rm -f ${TEST_DIR}/${base_name}_${comp}_[0-9]*.nc &> /dev/null
 	done
 
@@ -69,6 +69,13 @@
 }
 
+diff_textfiles() {
+    for file in ocean.output $( ls *.stat ); do
+	diff $file ${REFE_DIR}/$file
+	[ $? -ne 0 ] && export STATUS='FAILED' STEP='ASCII output file diff'
+    done
+}
+
 get_cpu_time() {
-    real_cpu_time=$( eval ${JOB_TIME} )
+    real_cpu_time=$( eval "${JOB_INFO} ${JOB_ID} | ${JOB_TIME}" )
     printf "Real CPU time\n${real_cpu_time}\n" | tee mesg_10_realcputime_${CFG_USER}_${CFG_ARCH}.txt
 }
@@ -83,11 +90,4 @@
     ${cmd_iol} > inputs_list.txt
     ${cmd_iof} > /dev/null
-}
-
-diff_textfiles() {
-    for file in ocean.output $( ls *.stat ); do
-	diff $file ${REFE_DIR}/$file
-	[ $? -ne 0 ] && export STATUS='FAILED' STEP='ASCII output file diff'
-    done
 }
 
@@ -220,9 +220,5 @@
     if [ ${time_elapsed} -eq ${TIME_LIMI} ]; then
 	STEP='Exceeded time limit'
-
-	if [ $( ${JOB_LIST} | grep ${JOB_ID} ) ]; then
-	    STEP='Job not finished on time: '$(( ${TIME_LIMI}/3600 ))'h'
-	fi
-
+	[ $( ${JOB_LIST} | grep ${JOB_ID} ) ] && STEP='Job not finished on time: '$(( ${TIME_LIMI}/3600 ))'h'
 	print_step
 	${JOB_DELE} ${JOB_ID} &> /dev/null