Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/batch/X64_ADA_trust.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/batch/X64_ADA_trust.sh	(revision 5485)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/batch/X64_ADA_trust.sh	(revision 5485)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Nom de la requete
+# @ job_name = O2L3P_trust
+# Type de travail
+# @ job_type = parallel
+# Fichier de sortie standard
+# @ output = O2L3P_trust
+# Fichier de sortie erreur (le meme)
+# @ error  = O2L3P_trust
+# Nombre de processus demande
+# @ total_tasks = 32
+# Temps CPU max. par processus MPI hh:mm:ss
+# @ wall_clock_limit = 0:30:00
+# Fin de l entete
+# @ queue
+
+cd $LOADL_STEP_INITDIR
+
+# running the job in parallel mode
+poe ./opa
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg	(revision 5484)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/config/X64_ADA.cfg	(revision 5485)
@@ -1,3 +1,3 @@
-# Ada super-computer configuration
+# Ada configuration
 
 # Available softwares:
@@ -8,7 +8,8 @@
 
 # Job commands: LoadLeveler
-JOB_SUBM=llsubmit
+JOB_SUBM="llsubmit ${NEMO_TRUS}/batch/${CFG_ARCH}.sh | grep -o 'ada.*'"
 JOB_LIST=llq
-JOB_VIEW='llq -xl'
+JOB_INFO='llq -xl'
+JOB_TIME=''
 JOB_DELE=llcancel                          
 
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5484)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting.sh	(revision 5485)
@@ -100,6 +100,5 @@
 #---------------------------------------------------
 print_step 'Test job state'
-if   [[ $( diff time.step ${REFE_DIR}/time.step ) || \
-        ! -e ocean.output || $( grep 'E R R O R' ocean.output ) ]]; then
+if   [[ ! -e time.step || $( grep -q 'E R R O R' ocean.output ) ]]; then
     comments 'E R R O R'
     get_out $STATUS $STEP
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5484)
+++ branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/trusting_func.sh	(revision 5485)
@@ -6,15 +6,14 @@
 
     if [ "$state" == 'E R R O R' ]; then
-	if [ -e ocean.output ]; then
+	if [ -e time.step ]; then
 	    last_time_step=$( cat time.step | tr -d [:space:] )
 	    STEP='nemo.exe crashed at '${last_time_step} && export STEP
-	    line=$( grep -m1 -A5 "$state" ocean.output | tr -d '\n' )
 	else
 	    STEP='nemo.exe crashed at initialization'    && export STEP
-	    return
-	fi
-    fi
-
-    if [ $( diff -q model.log ${REFE_DIR}/model.log ) ]; then
+	fi
+    fi
+
+    [ -e ocean.output ] && line=$( grep -m1 -A5 "$state" ocean.output | tr -d '\n' )
+    if [[ -e ${REFE_DIR}/model.log && $( diff -q model.log ${REFE_DIR}/model.log ) ]]; then
 	line=$( diff model.log ${REFE_DIR}/model.log  | tr -d '\n' )
     fi
@@ -35,4 +34,15 @@
 
 diff_restart() {
+
+    if   [ ! -e  ${REFE_DIR}/time.step ]                 ; then
+	echo "Seems that there is no restart files for comparison: no time.step in ${REFE_DIR}"
+	return
+    elif [ $( diff -q time.step ${REFE_DIR}/time.step ) ]; then
+	printf "Seems that the trusting test ends at a different time step: "
+	printf "${TEST_DIR} $( cat ${TEST_DIR}/time.step | tr -d [:space:] ) != "
+	printf "${REFE_DIR} $( cat ${REFE_DIR}/time.step | tr -d [:space:] )  \n"
+	return
+    fi
+
     last_time_step=$( cat ${REFE_DIR}/time.step | tr -d [:space:] )
     echo 'Last time step of standard run: '${last_time_step}
@@ -43,5 +53,5 @@
 
 	for comp in restart restart_ice restart_trc; do
-	    file=${base_name}${comp} && printf "$file'.nc': "
+	    file=${base_name}${comp} && printf "$file.nc: "
 
 	    nb_dom=$( find -name "${file}_[0-9]*.nc" | wc -l | awk '{print $1}' )
@@ -51,11 +61,17 @@
 	    fi
 
+	    if [ -e ${REFE_DIR}/$file.nc ]; then
 	    # UNIX `cmp` not suitable (filename & timestamp in .nc file)
-	    nc_diff=$( $CDO diffn $file'.nc' ${REFE_DIR}/$file'.nc' 2> /dev/null | tail -1 )
-	    if [ ! -z "${nc_diff}" ]; then
-		export STATUS='FAILED' STEP='Restart files different'
-		printf "$CDO diffn ${nc_diff}\n"
+		nc_diff=$( $CDO diffn $file.nc ${REFE_DIR}/$file.nc 2> /dev/null | tail -1 )
+
+		if [ ! -z "${nc_diff}" ]; then
+		    export STATUS='FAILED' STEP="$file.nc different"
+		    printf "$CDO ${nc_diff}\n"
+		else
+		    printf "identical\n"
+		fi
+
 	    else
-		printf "identical\n"
+		printf "No previous $file.nc found for comparison\n"
 	    fi
 
@@ -64,5 +80,5 @@
     else
 	export STATUS='FAILED'; STEP='No restart files found at last time step'
-	printf "no restart files found for comparison\n"
+	printf "No $file.nc found for comparison\n"
     fi
 
@@ -71,6 +87,12 @@
 diff_textfiles() {
     for file in ocean.output $( ls *.stat ); do
-	diff $file ${REFE_DIR}/$file
-	[ $? -ne 0 ] && export STATUS='FAILED' STEP='ASCII output file diff'
+
+	if [ -e ${REFE_DIR}/$file ]; then
+	    diff $file ${REFE_DIR}/$file
+	    [ $? -ne 0 ] && export STATUS='FAILED' STEP="$file different"
+	else
+	    printf "No previous $file found for comparison\n"
+	fi
+
     done
 }
@@ -193,5 +215,9 @@
 	printf "Input files\n\n"   > mesg_09_inputfiles_${CFG_USER}_${CFG_ARCH}.txt
 	printf "Real CPU time\n\n" > mesg_10_realcputime_${CFG_USER}_${CFG_ARCH}.txt
-	printf "Comments\n\n"      > mesg_11_comments_${CFG_USER}_${CFG_ARCH}.txt
+
+	if [ ! -e mesg_11_comments_${CFG_USER}_${CFG_ARCH}.txt ]; then
+	    printf "Comments\n\n"      > mesg_11_comments_${CFG_USER}_${CFG_ARCH}.txt
+	fi
+
 	#tar -czf ${REFE_DIR}/trusting_${DATESTR}_${CFG_USER}_${CFG_ARCH}.tar.gz *
     fi